### Method

# GIRepository TypeInfo get_array_fixed_size

since: 2.80

#### Declaration

    gboolean
    gi_type_info_get_array_fixed_size (
      GITypeInfo* info,
      size_t* out_size
    )

#### Description

Obtain the fixed array size of the type, in number of elements (not bytes).

The type tag must be a `GI_TYPE_TAG_ARRAY` with a fixed size, or `FALSE` will be returned.

Available since: 2.80

#### Parameters

`out_size`

  Type: `size_t*`

  Return location for the array size.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `gboolean`

`TRUE` if the type is an array and has a fixed size.